1 2 Previous Next 18 Replies Latest reply on Jul 25, 2012 7:57 AM by Michael Daleiden

    Can SY be installed into EAP 6.0?

    Michael Daleiden Newbie

      Since EAP 6.0 is based on AS7, I was wondering if SY could be successfully installed into an EAP 6.0 instance? Just for grins, I tried to run the SY 0.5.0 installer against a clean EAP 6.0 install, but it failed when trying to install the SY consoles, as it was looking for modules/org/jboss/as/console/as/module.xml, but EAP has it as

      modules/org/jboss/as/console/eap/module.xml.

        • 1. Re: Can SY be installed into EAP 6.0?
          Michael Daleiden Newbie

          OK. I was able to get the installer to succeed against EAP6 by renaming the modules/org/jboss/as/console/eap directory to modules/org/jboss/as/console/main. However, when I start up the instance, I get the following errors:

           

          14:44:34,751 WARN  [org.jboss.modules] (ServerService Thread Pool -- 50) Failed to define class org.jboss.weld.servlet.WeldListener in Module "org.jboss.weld.core:main" from local module loader @dda25b (roots: C:\RESPONSE\jboss-eap-6.0\modules): org.jboss.modules.ModuleLoadError: Module org.jboss.interceptor:main is not found in local module loader @dda25b (roots: C:\RESPONSE\jboss-eap-6.0\modules)

              at org.jboss.modules.ModuleLoadException.toError(ModuleLoadException.java:78) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.Module.getPathsUnchecked(Module.java:1191) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.Module.loadModuleClass(Module.java:522) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:182) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:468) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:456) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:423) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:398) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:120) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at java.lang.ClassLoader.defineClass1(Native Method) [rt.jar:1.6.0_24]

              at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632) [rt.jar:1.6.0_24]

              at java.lang.ClassLoader.defineClass(ClassLoader.java:616) [rt.jar:1.6.0_24]

              at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) [rt.jar:1.6.0_24]

              at org.jboss.modules.ModuleClassLoader.doDefineOrLoadClass(ModuleClassLoader.java:327) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ModuleClassLoader.defineClass(ModuleClassLoader.java:391) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ModuleClassLoader.loadClassLocal(ModuleClassLoader.java:243) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ModuleClassLoader$1.loadClassLocal(ModuleClassLoader.java:73) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.Module.loadModuleClass(Module.java:527) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ModuleClassLoader.findClass(ModuleClassLoader.java:182) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassUnchecked(ConcurrentClassLoader.java:468) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:456) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClassChecked(ConcurrentClassLoader.java:423) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.performLoadClass(ConcurrentClassLoader.java:398) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.modules.ConcurrentClassLoader.loadClass(ConcurrentClassLoader.java:120) [jboss-modules.jar:1.1.2.GA-redhat-1]

              at org.jboss.as.weld.deployment.processors.WebIntegrationProcessor.<clinit>(WebIntegrationProcessor.java:66) [jboss-as-weld-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.weld.WeldSubsystemAdd$1.execute(WeldSubsystemAdd.java:65) [jboss-as-weld-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.server.AbstractDeploymentChainStep.execute(AbstractDeploymentChainStep.java:50) [jboss-as-server-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:397) [jboss-as-controller-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:284) [jboss-as-controller-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:211) [jboss-as-controller-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.as.controller.ParallelBootOperationStepHandler$ParallelBootTask.run(ParallelBootOperationStepHandler.java:312) [jboss-as-controller-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_24]

              at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_24]

              at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_24]

              at org.jboss.threads.JBossThread.run(JBossThread.java:122)

           

          14:44:35,952 ERROR [org.jboss.as.controller.management-operation] (Controller Boot Thread) JBAS014784: Failed executing subsystem weld boot operations

           

          14:44:50,927 ERROR [org.reflections.Reflections] (MSC service thread 1-7) could not create Vfs.Dir from url. ignoring the exception and continuing: org.reflections.ReflectionsException: could not create Dir using org.jboss.errai.bus.server.service.metadata.VFSUrlType from url vfs:/C:/RESPONSE/jboss-eap-6.0/bin/content/switchyard-bpel-console.war/WEB-INF/classes/

              at org.reflections.vfs.Vfs.fromURL(Vfs.java:99) [reflections-0.9.5-RC2_jboss-SP1.jar:]

              at org.reflections.vfs.Vfs.fromURL(Vfs.java:89) [reflections-0.9.5-RC2_jboss-SP1.jar:]

              at org.reflections.Reflections.scan(Reflections.java:136) [reflections-0.9.5-RC2_jboss-SP1.jar:]

              at org.jboss.errai.bus.server.service.metadata.MetaDataScanner.<init>(MetaDataScanner.java:83) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.jboss.errai.bus.server.service.metadata.MetaDataScanner.createInstance(MetaDataScanner.java:95) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.jboss.errai.bus.server.service.metadata.MetaDataScanner.createInstance(MetaDataScanner.java:87) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.jboss.errai.bus.server.service.ErraiServiceConfiguratorImpl.<init>(ErraiServiceConfiguratorImpl.java:58) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.jboss.errai.bus.server.service.ErraiServiceConfiguratorImpl$$FastClassByGuice$$b6139751.newInstance(<generated>)

              at com.google.inject.internal.cglib.reflect.FastConstructor.newInstance(FastConstructor.java:40) [guice-2.0.jar:]

              at com.google.inject.DefaultConstructionProxyFactory$1.newInstance(DefaultConstructionProxyFactory.java:60) [guice-2.0.jar:]

              at com.google.inject.ConstructorInjector.construct(ConstructorInjector.java:85) [guice-2.0.jar:]

              at com.google.inject.ConstructorBindingImpl$Factory.get(ConstructorBindingImpl.java:111) [guice-2.0.jar:]

              at com.google.inject.FactoryProxy.get(FactoryProxy.java:56) [guice-2.0.jar:]

              at com.google.inject.SingleParameterInjector.inject(SingleParameterInjector.java:42) [guice-2.0.jar:]

              at com.google.inject.SingleParameterInjector.getAll(SingleParameterInjector.java:66) [guice-2.0.jar:]

              at com.google.inject.ConstructorInjector.construct(ConstructorInjector.java:84) [guice-2.0.jar:]

              at com.google.inject.ConstructorBindingImpl$Factory.get(ConstructorBindingImpl.java:111) [guice-2.0.jar:]

              at com.google.inject.ProviderToInternalFactoryAdapter$1.call(ProviderToInternalFactoryAdapter.java:45) [guice-2.0.jar:]

              at com.google.inject.InjectorImpl.callInContext(InjectorImpl.java:811) [guice-2.0.jar:]

              at com.google.inject.ProviderToInternalFactoryAdapter.get(ProviderToInternalFactoryAdapter.java:42) [guice-2.0.jar:]

              at com.google.inject.Scopes$1$1.get(Scopes.java:54) [guice-2.0.jar:]

              at com.google.inject.InternalFactoryToProviderAdapter.get(InternalFactoryToProviderAdapter.java:48) [guice-2.0.jar:]

              at com.google.inject.FactoryProxy.get(FactoryProxy.java:56) [guice-2.0.jar:]

              at com.google.inject.InjectorImpl$4$1.call(InjectorImpl.java:758) [guice-2.0.jar:]

              at com.google.inject.InjectorImpl.callInContext(InjectorImpl.java:804) [guice-2.0.jar:]

              at com.google.inject.InjectorImpl$4.get(InjectorImpl.java:754) [guice-2.0.jar:]

              at com.google.inject.InjectorImpl.getInstance(InjectorImpl.java:793) [guice-2.0.jar:]

              at org.jboss.errai.bus.server.servlet.AbstractErraiServlet.buildService(AbstractErraiServlet.java:133) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.jboss.errai.bus.server.servlet.AbstractErraiServlet.init(AbstractErraiServlet.java:104) [errai-bus-1.1-Final.jar:1.1-Final]

              at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1202) [jbossweb-7.0.16.Final-redhat-1.jar:]

              at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1102) [jbossweb-7.0.16.Final-redhat-1.jar:]

              at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:3655) [jbossweb-7.0.16.Final-redhat-1.jar:]

              at org.apache.catalina.core.StandardContext.start(StandardContext.java:3873) [jbossweb-7.0.16.Final-redhat-1.jar:]

              at org.jboss.as.web.deployment.WebDeploymentService.start(WebDeploymentService.java:90) [jboss-as-web-7.1.2.Final-redhat-1.jar:7.1.2.Final-redhat-1]

              at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811)

              at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746)

              at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [rt.jar:1.6.0_24]

              at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [rt.jar:1.6.0_24]

              at java.lang.Thread.run(Thread.java:662) [rt.jar:1.6.0_24]

          • 2. Re: Can SY be installed into EAP 6.0?
            Keith Babo Master

            The second exception looks like this:

            https://issues.jboss.org/browse/SWITCHYARD-719

             

            Not sure about the first one.  Some time ago, we needed to hot fix a Weld issue and I honestly can't remember if that hot fix is still around.  If it is and it's incompatible with what's there in 7.1.2, then that could be the problem.  Have you tried deploying an app, bringing up the SY console, or anything else to see what state the server is in?

             

            @Magesh - did we back out that Weld fix?  I want to say yes, but can't say for sure.

            • 3. Re: Can SY be installed into EAP 6.0?
              Michael Daleiden Newbie

              I can bring up the admin console and SwitchYard is shown, but I do not see anything about a BPEL console.

              • 4. Re: Can SY be installed into EAP 6.0?
                Keith Babo Master

                Gary and Jeff from the Riftsaw team (owners of the BPEL console) will have to answer on that front.  They both post in this forum as well as Riftsaw, but if you don't get an answer you could always post in the Riftsaw community as well.

                • 5. Re: Can SY be installed into EAP 6.0?
                  Magesh Bojan Master

                  Keith,

                   

                  Did you mean this?

                   

                  https://issues.jboss.org/browse/SWITCHYARD-681

                   

                  This has been done. The issue with the first exception is that since we bundle the fix from weld-core-1.1.6.Final.jar, the module definition clashes with EAP 6. If you replace the modules/org/jboss/weld/core/main/moduel.xml from the original EAP 6, it should go away.

                  • 6. Re: Can SY be installed into EAP 6.0?
                    Keith Babo Master

                    Thanks, Magesh.  I actually meant the updated module.  The bit I couldn't remember is whether we did that prior to 7.1.1.Final and the issue had been fixed in 7.1.1.  I see now that AS 7.1.1 uses Weld 1.1.5.AS71, so the updated module is still required.

                    • 7. Re: Can SY be installed into EAP 6.0?
                      Michael Daleiden Newbie

                      I will try Magesh's suggestion to get rid of the Weld exception.

                       

                      I decided to try to build and deploy one of the SY quickstarts (camel-rest-binding) to see if it would work. Unfortunately, the results were not good:

                       

                      08:13:01,135 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-6) JBAS015876: Starting deployment of "switchyard-quickstart-camel-rest-binding.jar"

                      08:13:01,245 INFO  [org.switchyard] (MSC service thread 1-4) Deploying SwitchYard application 'switchyard-quickstart-camel-rest-binding.jar'

                      08:13:01,260 INFO  [org.jboss.as.osgi] (MSC service thread 1-3) JBAS011907: Register module: Module "deployment.switchyard-quickstart-camel-rest-binding.jar:main" from Service Module Loader

                      08:13:01,479 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS015870: Deploy of deployment "switchyard-quickstart-camel-rest-binding.jar" was rolled back with failure message {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".SwitchYardService Missing[jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".beanmanager]"]}

                      08:13:01,479 INFO  [org.jboss.as.osgi] (MSC service thread 1-8) JBAS011908: Unregister module: Module "deployment.switchyard-quickstart-camel-rest-binding.jar:main" from Service Module Loader

                      08:13:01,494 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-6) JBAS015877: Stopped deployment switchyard-quickstart-camel-rest-binding.jar in 17ms

                      08:13:01,494 ERROR [org.jboss.as.server.deployment.scanner] (DeploymentScanner-threads - 1) {"JBAS014653: Composite operation failed and was rolled back. Steps that failed:" => {"Operation step-2" => {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".SwitchYardService Missing[jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".beanmanager]"]}}}

                       

                      I also tried to pull the quickstart into JBDS5 with the SY tooling installed, but received the following errors:

                       

                      Referenced file contains errors (jar:file:/C:/jbds5/studio/plugins/org.switchyard.tools.xsd_0.5.0.v20120625-1908-H131-Beta1.jar!/schema/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-jca-1.1-cd04-rev2.xsd).  For more information, right click on the message in the Problems View and select "Show Details..."switchyard.xml/camel-rest-binding/src/main/resources/META-INFline 1XML Problem
                      Referenced file contains errors (jar:file:/C:/jbds5/studio/plugins/org.switchyard.tools.xsd_0.5.0.v20120625-1908-H131-Beta1.jar!/schema/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-jms-1.1-csd05.xsd).  For more information, right click on the message in the Problems View and select "Show Details..."switchyard.xml/camel-rest-binding/src/main/resources/META-INFline 1XML Problem
                      Referenced file contains errors (jar:file:/C:/jbds5/studio/plugins/org.switchyard.tools.xsd_0.5.0.v20120625-1908-H131-Beta1.jar!/schema/org/switchyard/component/bean/config/model/v1/bean-v1.xsd).  For more information, right click on the message in the Problems View and select "Show Details..."switchyard.xml/camel-rest-binding/src/main/resources/META-INFline 1XML Problem
                      • 8. Re: Can SY be installed into EAP 6.0?
                        Rob Cernich Master

                        I suspect the errors in your workspace are a result of having "Honour all schema locations" checked in your XML preferences for Eclipse.  Details for turning that off can be found under "XSD Catalog" here, https://docs.jboss.org/author/display/SWITCHYARD/Eclipse

                         

                        Hope that helps,

                        Rob

                        • 9. Re: Can SY be installed into EAP 6.0?
                          Keith Babo Master

                          The Weld error during startup likely nuked the Weld/CDI support, which produced the deployment error you pasted above.  Note the line about missing/unavailable dependencies w/r/t the CDI Bean Manager:

                           

                          "JBAS014771: Services with missing/unavailable dependencies" => ["jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".SwitchYardService Missing[jboss.deployment.unit.\"switchyard-quickstart-camel-rest-binding.jar\".beanmanager]"]}

                           

                           

                          Updating the Weld module may indeed fix that issue, but there could be others.  We haven't done anything in terms of testing  AS 7.1.2 support, so expect a bumpy ride. :-)

                          • 10. Re: Can SY be installed into EAP 6.0?
                            Michael Daleiden Newbie

                            Thanks, Rob. That indeed fixed the errors in Eclipse.

                            • 11. Re: Can SY be installed into EAP 6.0?
                              Michael Daleiden Newbie

                              Changing to the EAP6 version of the Weld module.xml resolved the issues and I am able to run the quickstart successfully now.

                               

                              One question - what is the timeline for RESTEasy support? We just recently completed a migration of our current front-end interface to RESTEasy (from a custom HttpMessageComposer on the ESB) and would like to avoid learning another JAX-RS implementation.

                               

                              One more question () - does the Eclipse tooling actually support visual modeling of the CXF-RS endpoint? I did not see the binding in the list on the palette.

                              • 12. Re: Can SY be installed into EAP 6.0?
                                Keith Babo Master

                                I'll let Magesh reply with the juicy details, but he's done a great job with the RESTEasy stuff and it will be in at the beginning of 0.6 (like week 1).  There is not tooling support for REST bindings at the moment.  My hope is that we can push the tooling update and the runtime support at the same time, so stay tuned!

                                • 13. Re: Can SY be installed into EAP 6.0?
                                  Magesh Bojan Master

                                  Hi Michael,

                                   

                                  Yes, as Keith mentioned we are planning to get that out for 0.6. I might get some code ready by next week and you could give it a try, so that we know it works in your environment. Will update you once we have the bits ready.

                                   

                                  Magesh

                                  • 14. Re: Can SY be installed into EAP 6.0?
                                    Michael Daleiden Newbie

                                    Sounds like a plan. I will actually not be able to get to this until the week of the 23rd, as I will be out of pocket until then.

                                     

                                    I appreciate all of the help.

                                    1 2 Previous Next